> For the complete documentation index, see [llms.txt](https://docs.vames-store.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vames-store.com/assets/vms_clothestore/common-errors.md).

# Common Errors

In this section, you will find answers to commonly encountered issues. Remember that most errors stem from incorrect configuration, lack of required resources, or insufficient modification.

Bear in mind that troubleshooting requires patience and precision. Try to carefully analyze the errors and systematically review possible solutions.

If the issue persists after verifying the configuration and available resources, please contact the support on the VMS Discord.

***

<details>

<summary>No such export Notification in vms_notify</summary>

1. Go to vms\_clothestore/config/config.lua file
2. Find function `Config.Notification`
3. Remove vms\_notify exports and add your notify events or exports

</details>

<details>

<summary>ESX ERROR with skinchanger</summary>

This error may indicate too old version of esx\_skin and skinchanger resources, requires update to minimum version 1.8.5

</details>

<details>

<summary>ESX ERROR with esx_datastore for Wardrobe / Manage menu</summary>

1. Make sure you have the **esx\_datastore** script running on the server
2. Make sure that in your datastore table in the database there is a record available that has the value shared as 0 (zero) - will mean that for each player is created separately, it should be called property by default
3. f you have it under another name use it but it will require adjustment in vms\_clothestore/config.lua - `Config.DataStoreName`.

If you do not have such a record in your datastore table, it requires you to create it, you can use the following query to create it:

```sql
INSERT INTO `datastore` (`name`, `label`, `shared`) VALUES
	('property', 'Property', 0);
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vames-store.com/assets/vms_clothestore/common-errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
